## jsonnet 0.13.0+ds

=== debian/changelog ===
jsonnet (0.13.0+ds-1) unstable; urgency=medium

  * New upstream version 0.13.0+ds
  * Remove merged patches and refresh remaining ones.
  * Install new executable usr/bin/jsonnetfmt .
  * Update lintian overrides.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 25 Jun 2019 05:01:43 +0000

jsonnet (0.12.1+ds-1) unstable; urgency=low

  * Initial release. (Closes: #922047)

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 18 May 2019 05:56:07 +0000
