=== debian/control ===
Source: jsonnet
Section: devel
Homepage: https://github.com/google/jsonnet
Priority: optional
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/debian/jsonnet.git
Vcs-Browser: https://salsa.debian.org/debian/jsonnet
Maintainer: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper-compat (= 12), python3-all, python3-all-dev, cmake,
 dh-python, googletest, python3-setuptools,

Package: jsonnet
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: data templating language
 A data templating language for app and tool developers
 .
  * Generate config data
  * Side-effect free
  * Organize, simplify, unify
  * Manage sprawling config
 .
 A simple extension of JSON
 .
  * Open source (Apache 2.0)
  * Familiar syntax
  * Reformatter, linter
  * Editor & IDE integrations
  * Formally specified
 .
 Eliminate duplication with object-orientation. Or, use functions.
 Integrate with existing / custom applications. Generate JSON, YAML,
 INI, and other formats.
 .
 This package ships the binary executable.

Package: libjsonnet0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: data templating language (lib)
 A data templating language for app and tool developers
 .
  * Generate config data
  * Side-effect free
  * Organize, simplify, unify
  * Manage sprawling config
 .
 A simple extension of JSON
 .
  * Open source (Apache 2.0)
  * Familiar syntax
  * Reformatter, linter
  * Editor & IDE integrations
  * Formally specified
 .
 Eliminate duplication with object-orientation. Or, use functions.
 Integrate with existing / custom applications. Generate JSON, YAML,
 INI, and other formats.
 .
 This package ships the shared object.

Package: libjsonnet-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
Description: data templating language (devel)
 A data templating language for app and tool developers
 .
  * Generate config data
  * Side-effect free
  * Organize, simplify, unify
  * Manage sprawling config
 .
 A simple extension of JSON
 .
  * Open source (Apache 2.0)
  * Familiar syntax
  * Reformatter, linter
  * Editor & IDE integrations
  * Formally specified
 .
 Eliminate duplication with object-orientation. Or, use functions.
 Integrate with existing / custom applications. Generate JSON, YAML,
 INI, and other formats.
 .
 This package ships the development files.

Package: python3-jsonnet
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: data templating language (Python)
 A data templating language for app and tool developers
 .
  * Generate config data
  * Side-effect free
  * Organize, simplify, unify
  * Manage sprawling config
 .
 A simple extension of JSON
 .
  * Open source (Apache 2.0)
  * Familiar syntax
  * Reformatter, linter
  * Editor & IDE integrations
  * Formally specified
 .
 Eliminate duplication with object-orientation. Or, use functions.
 Integrate with existing / custom applications. Generate JSON, YAML,
 INI, and other formats.
 .
 This package ships the Python binding.
