=== debian/tests/control ===
Test-Command: DISABLE_LIB_TESTS=1 JSONNET_BIN=/usr/bin/jsonnet sh tests.sh
Depends: jsonnet, python3
