## jsonnet 0.14.0+ds

=== debian/changelog ===
jsonnet (0.14.0+ds-1) unstable; urgency=medium

  * New upstream version 0.14.0+ds
  * Install the libjsonnet++ dynanic/static libraries. (Closes: #931011)
  * Add the missing B-D libgtest-dev.
  * Update autopkgtest control file.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 18 Sep 2019 21:33:45 +0800
