=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/jsonnet
 Maintainer: Mo Zhou <cdluminate@gmail.com>
 Build-Depends: debhelper-compat (= 12), python3-all, python3-all-dev, cmake,
- dh-python, googletest, python3-setuptools,
+ dh-python, googletest, libgtest-dev, python3-setuptools,
 
 Package: jsonnet
 Architecture: any
