=== debian/changelog ===
jsonnet (0.15.0+ds-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:08 +0100

jsonnet (0.15.0+ds-1) unstable; urgency=medium

  * New upstream version 0.15.0+ds
  * Bump Standards-Version to 4.5.0 (no change).
  * Update my mail address in control and copyright.
  * Specify Rules-Requires-Root: no .

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Feb 2020 11:25:24 +0800

jsonnet (0.14.0+ds-2) unstable; urgency=medium

  * Build extensions for all supported python3 versions. (Closes: #942668)

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 20 Oct 2019 09:40:58 +0800
