=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: devel
 Homepage: https://github.com/google/jsonnet
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/jsonnet.git
 Vcs-Browser: https://salsa.debian.org/debian/jsonnet
-Maintainer: Mo Zhou <cdluminate@gmail.com>
+Maintainer: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 12), python3-all, python3-all-dev, cmake,
  dh-python, googletest, libgtest-dev, python3-setuptools,
+Rules-Requires-Root: no
 
 Package: jsonnet
 Architecture: any
