## jsonnet 0.17.0%2Bds

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
 add_dependencies(libjsonnet md5 stdlib)
 target_link_libraries(libjsonnet md5 nlohmann_json::nlohmann_json)
 
-file(STRINGS ${CMAKE_SOURCE_DIR}/include/libjsonnet.h JSONNET_VERSION_DEF
+file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/../include/libjsonnet.h JSONNET_VERSION_DEF
      REGEX "[#]define[ \t]+LIB_JSONNET_VERSION[ \t]+")
 string(REGEX REPLACE ".*\"v([^\"]+)\".*" "\\1" JSONNET_VERSION ${JSONNET_VERSION_DEF})
 message("Extracted Jsonnet version: " ${JSONNET_VERSION})
@@ -48,6 +48,8 @@
 	LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
 	ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
 	PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
+target_include_directories(libjsonnet INTERFACE
+  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>)
 
 if (BUILD_STATIC_LIBS)
     # Static library for jsonnet command-line tool.
@@ -56,6 +58,8 @@
     target_link_libraries(libjsonnet_static md5 nlohmann_json::nlohmann_json)
     set_target_properties(libjsonnet_static PROPERTIES OUTPUT_NAME jsonnet)
     install(TARGETS libjsonnet_static DESTINATION "${CMAKE_INSTALL_LIBDIR}")
+    target_include_directories(libjsonnet_static INTERFACE
+      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>)
 endif()
 
 if (BUILD_SHARED_BINARIES OR NOT BUILD_STATIC_LIBS)
@@ -92,7 +96,7 @@
     add_test_executable(libjsonnet_test_file)
     add_test(libjsonnet_test_file
         ${GLOBAL_OUTPUT_PATH}/libjsonnet_test_file
-        ${CMAKE_SOURCE_DIR}/test_suite/object.jsonnet)
+        ${CMAKE_CURRENT_SOURCE_DIR}/../test_suite/object.jsonnet)
 
     set(TEST_SNIPPET "std.assertEqual(({ x: 1, y: self.x } { x: 2 }).y, 2)")
     add_test_executable(libjsonnet_test_snippet)
