=== debian/changelog ===
jsonnet (0.17.0+ds-2) unstable; urgency=medium

  * Fix broken symlinks in libjsonnet-dev due to missing deps (Closes: #985511)

 -- Mo Zhou <lumin@debian.org>  Wed, 24 Mar 2021 09:49:24 +0800

jsonnet (0.17.0+ds-1) unstable; urgency=medium

  * New upstream version 0.17.0+ds
  * Rebase existing patches.

 -- Mo Zhou <lumin@debian.org>  Tue, 01 Dec 2020 11:12:06 +0800

jsonnet (0.16.0+ds-1) unstable; urgency=medium

  * New upstream version 0.16.0+ds

 -- Mo Zhou <lumin@debian.org>  Sun, 22 Nov 2020 14:34:43 +0800
