=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,11 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	python3 setup.py build
+	for PY in $(shell py3versions -rs); do \
+		$$PY setup.py build; done
 
 override_dh_auto_install:
 	dh_auto_install
-	python3 setup.py install --install-layout=deb \
-		--root=$(shell pwd)/debian/tmp
+	for PY in $(shell py3versions -rs); do \
+		$$PY setup.py install --install-layout=deb \
+		--root=$(shell pwd)/debian/tmp; done
