## jsonnet 0.18.0+ds

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # CMake prepends CMAKE_SHARED_LIBRARY_PREFIX to shared libraries, so without
 # this step the output would be |liblibjsonnet|.
 set_target_properties(libjsonnet++ PROPERTIES OUTPUT_NAME jsonnet++
-	VERSION     "0.17.0"
+	VERSION     "0.18.0"
 	SOVERSION   "0"
 	PUBLIC_HEADER "${LIB_HEADER}")
 install(TARGETS libjsonnet++
