=== debian/changelog ===
jsonnet (0.18.0+ds-3build2) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 17:21:57 -0500

jsonnet (0.18.0+ds-3build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:20:41 +0000

jsonnet (0.18.0+ds-3) unstable; urgency=medium

  * Add riscv64 architecture (Closes: #1014598)

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Sun, 31 Jul 2022 13:57:45 +0000

jsonnet (0.18.0+ds-2) unstable; urgency=medium

  * fix FTBFS on several release architectures (Closes: #1013310)
  * fix FTBFS error on armel
  * Allow only specific architectures as build targets

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Sat, 02 Jul 2022 13:23:19 +0000

jsonnet (0.18.0+ds-1) unstable; urgency=medium

  * Adopt package (Closes: #1012294)
  * New upstream version 0.18.0+ds
  * Update d/copyright to adapt to upstream
  * Remove tests-dont-use-python2.patch.
    This is because tests in upstream have moved to Python 3 only.

 -- Fukui Daichi <a.dog.will.talk@akane.waseda.jp>  Mon, 20 Jun 2022 13:00:37 +0000
